[Pkg-corba-devel] ldbl128 transition

Thomas Girard thomas.g.girard at free.fr
Mon Oct 8 09:20:40 UTC 2007

Hi Floris,

On Thu, Oct 04, 2007 at 08:54:40PM +0100, Floris Bruynooghe wrote:
> As for the API compatibility as mentioned by Philip Kern in #430422,
> the release notes of 4.1.0 mention something incompatible.  But it
> seems to me that that is for people who used a beta release of 4.1 and
> moved to 4.1 final, i.e. it was a change in an added API.  However I
> am not sure.
> Surely it must be possible to write a script that compares all the
> header files of the two releases and spits out any API changes.  And
> surely someone else must have written that already, I'll have to find
> it (hints welcome).

The release notes show that the C++ mapping was updated between 4.0.x
and 4.1.0. So the API is different, and we'll need to handle this. From
what I can see, only omnievents is affected by this, and needs to be

Applications not packaged in Debian will need to be recompiled and
possibly adapted, but there's nothing we can do here.

What do you think?



More information about the Pkg-corba-devel mailing list